#include "tctest_s.h"
#include <iostream>


int main(int argc, char* argv[])
{
  CORBA::ORB_var orb = CORBA::ORB_init(argc, argv);
  CORBA::Object_var obj = orb->string_to_object("corbaloc:iiop:localhost:9999/Consumer");
  TcTest::Consumer_var consumer = TcTest::Consumer::_narrow(obj);

  TcTest::TestData d;
  d.e = TcTest::TestEnumValue;

  CORBA::Any a;
  a <<= d;

  consumer->push(a);
  orb->destroy();

  return 0;
}
